Smart proxy starts up successfully when module fails due to file permissions
Description

ERROR -- : Disabling all modules in the group ['monitoring_icinga2', 'monitoring_icingadirector', 'monitoring'] due to a failure in one of

them: Permission denied @ rb_sysopen - /etc/foreman-proxy/settings.d/monitoring_icingadirector.yml

Could you change the behaviour so foreman-proxy won't start up? That will make people look for the error instead of wondering why

foreman-proxy runs but does not use the new config.

History

#1 - 05/23/2017 03:53 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Subject changed from wrong file permission, but foreman-proxy runs anyway. to Smart proxy starts up successfully when module fails due to file

permissions

- Category changed from Proxy gateway to Core

This is currently by design, the proxy tries to start up as many modules and providers as possible. The status is visible within Foreman and Foreman

installer recently began to validate the service started correctly too - you could monitor for the expected services to all be up.

#2 - 05/23/2017 10:44 AM - Han Boetes

ok, perhaps another solution would be to have a config option that does stop on warnings, for debugging purposes. And for production environments

you can disable this option.

#3 - 05/23/2017 10:51 AM - Anonymous

ok, perhaps another solution would be to have a config option that does stop on warnings, for debugging purposes.

 Approaches as the one you are suggesting tend to create support/debug/test problems, as a result I'm generally against configuration options that

trigger different behaviour when set.

#4 - 09/18/2017 07:23 PM - Anonymous

- Status changed from New to Rejected

Closing the issue, described behaviour is by design.
